<ng-container *ngIf="statisticsShots$ && statisticsShots$ | async; let statisticsShots; else loader">
  <table mat-table [dataSource]="statisticsShots">

    <ng-container matColumnDef="timestamp">
      <th mat-header-cell *matHeaderCellDef> Time </th>
      <td mat-cell *matCellDef="let record"> {{record.timestamp}} </td>
    </ng-container>

    <ng-container matColumnDef="cpu">
      <th mat-header-cell *matHeaderCellDef> CPU </th>
      <td mat-cell *matCellDef="let record"> {{record.cpu}} </td>
    </ng-container>

    <ng-container matColumnDef="nice">
      <th mat-header-cell *matHeaderCellDef> Nice </th>
      <td mat-cell *matCellDef="let record"> {{record.nice}} </td>
    </ng-container>

    <ng-container matColumnDef="sys">
      <th mat-header-cell *matHeaderCellDef> Sys </th>
      <td mat-cell *matCellDef="let record"> {{record.sys}} </td>
    </ng-container>

    <ng-container matColumnDef="iowait">
      <th mat-header-cell *matHeaderCellDef> IOwait </th>
      <td mat-cell *matCellDef="let record"> {{record.iowait}} </td>
    </ng-container>

    <ng-container matColumnDef="irq">
      <th mat-header-cell *matHeaderCellDef> Irq </th>
      <td mat-cell *matCellDef="let record"> {{record.irq}} </td>
    </ng-container>

    <ng-container matColumnDef="soft">
      <th mat-header-cell *matHeaderCellDef> Soft </th>
      <td mat-cell *matCellDef="let record"> {{record.soft}} </td>
    </ng-container>

    <ng-container matColumnDef="steal">
      <th mat-header-cell *matHeaderCellDef> Steal </th>
      <td mat-cell *matCellDef="let record"> {{record.steal}} </td>
    </ng-container>

    <ng-container matColumnDef="guest">
      <th mat-header-cell *matHeaderCellDef> Guest </th>
      <td mat-cell *matCellDef="let record"> {{record.guest}} </td>
    </ng-container>

    <ng-container matColumnDef="gnice">
      <th mat-header-cell *matHeaderCellDef> Gnice </th>
      <td mat-cell *matCellDef="let record"> {{record.gnice}} </td>
    </ng-container>

    <ng-container matColumnDef="idle">
      <th mat-header-cell *matHeaderCellDef> Idle </th>
      <td mat-cell *matCellDef="let record"> {{record.idle}} </td>
    </ng-container>

    <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
    <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
  </table>

</ng-container>
<ng-template #loader>
  <p>No data yet</p>
</ng-template>
